n2mfrow {base} | R Documentation

## Compute Default mfrow From Number of Plots

### Description

Easy Setup for plotting multiple figures (in a rectangular layout) on one page. It allows to specify a main title and uses smart defaults for several `par` calls.

### Usage

    n2mfrow(nr.plots)

### Arguments

`nr.plots` | integer; the number of plot figures you'll want to draw.

### Value

A length two integer vector `nr, nc` giving the number of rows and columns, fulfilling `nr >= nc >= 1` and `nr * nc >= nr.plots`.

### Author(s)

Martin Maechler

### See Also

`par`, `layout`.

### Examples

    n2mfrow(8) # 3 x 3

    n <- 5 ; x <- seq(-2,2, len=51)
    ## suppose now that `n' is not known {inside function}
    op <- par(mfrow = n2mfrow(n))
    for (j in 1:n)
       plot(x, x^j, main = substitute(x^ exp, list(exp = j)), type='l', col="blue")

    sapply(1:10, n2mfrow)